Loading...
Searching...
No Matches
pcl::distances Namespace Reference

## Functions

double | computeMedian (double *fvec, int m)
| Compute the median value from a set of doubles.
double | huber (const Eigen::Vector4f &p_src, const Eigen::Vector4f &p_tgt, double sigma)
| Use a Huber kernel to estimate the distance between two vectors.
double | huber (double diff, double sigma)
| Use a Huber kernel to estimate the distance between two vectors.
double | gedikli (double val, double clipping, double slope=4)
| Use a Gedikli kernel to estimate the distance between two vectors (for more information, see.
double | l1 (const Eigen::Vector4f &p_src, const Eigen::Vector4f &p_tgt)
| Compute the Manhattan distance between two eigen vectors.
double | l2 (const Eigen::Vector4f &p_src, const Eigen::Vector4f &p_tgt)
| Compute the Euclidean distance between two eigen vectors.
double | l2Sqr (const Eigen::Vector4f &p_src, const Eigen::Vector4f &p_tgt)
| Compute the squared Euclidean distance between two eigen vectors.

## Function Documentation

## computeMedian()

double pcl::distances::computeMedian | ( | double * | fvec,
|  | int | m )

inline

Compute the median value from a set of doubles.

Parameters

  [in] | fvec | the set of doubles
  [in] | m | the number of doubles in the set

Definition at line 57 of file distances.h.

## gedikli()

double pcl::distances::gedikli | ( | double | val,
|  | double | clipping,
|  | double | slope = 4 )

inline

Use a Gedikli kernel to estimate the distance between two vectors (for more information, see.

Parameters

  [in] | val | the norm difference between two vectors
  [in] | clipping | the clipping value
  [in] | slope | the slope. Default: 4

Definition at line 107 of file distances.h.

## huber() [1/2]

double pcl::distances::huber | ( | const Eigen::Vector4f & | p_src,
|  | const Eigen::Vector4f & | p_tgt,
|  | double | sigma )

inline

Use a Huber kernel to estimate the distance between two vectors.

Parameters

  [in] | p_src | the first eigen vector
  [in] | p_tgt | the second eigen vector
  [in] | sigma | the sigma value

Definition at line 72 of file distances.h.

## huber() [2/2]

double pcl::distances::huber | ( | double | diff,
|  | double | sigma )

inline

Use a Huber kernel to estimate the distance between two vectors.

Parameters

  [in] | diff | the norm difference between two vectors
  [in] | sigma | the sigma value

Definition at line 90 of file distances.h.

## l1()

double pcl::distances::l1 | ( | const Eigen::Vector4f & | p_src,
|  | const Eigen::Vector4f & | p_tgt )

inline

Compute the Manhattan distance between two eigen vectors.

Parameters

  [in] | p_src | the first eigen vector
  [in] | p_tgt | the second eigen vector

Definition at line 117 of file distances.h.

## l2()

double pcl::distances::l2 | ( | const Eigen::Vector4f & | p_src,
|  | const Eigen::Vector4f & | p_tgt )

inline

Compute the Euclidean distance between two eigen vectors.

Parameters

  [in] | p_src | the first eigen vector
  [in] | p_tgt | the second eigen vector

Definition at line 127 of file distances.h.

## l2Sqr()

double pcl::distances::l2Sqr | ( | const Eigen::Vector4f & | p_src,
|  | const Eigen::Vector4f & | p_tgt )

inline

Compute the squared Euclidean distance between two eigen vectors.

Parameters

  [in] | p_src | the first eigen vector
  [in] | p_tgt | the second eigen vector

Definition at line 137 of file distances.h.